package org.springblade.modules.app.service;

import org.springblade.modules.app.dto.BusinessLicenseDTO;
import org.springblade.modules.app.dto.DriverDTO;
import org.springblade.modules.app.dto.DrivingDTO;
import org.springblade.modules.app.dto.IdentityCardDTO;

public interface IOcrService {
    IdentityCardDTO recognizeIdcard(String url);
    BusinessLicenseDTO RecognizeBusinessLicense(String url);
    DriverDTO RecognizeDrivingLicense(String url);
    DrivingDTO RecognizeVehicleLicense(String url);
    Object RecognizeGeneral(String url);
}
